#ifdef UNDERSCORE
#define ma_icpt ma_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif

/*  Maximum number of layers of depth/temp/salinity data */

#define MXDLYR  20

/*  Maximum number of layers of clouds */

#define MXCLYR  7

/*  Maximum number of layers of continuous wind data  */

#define MXWLYR  6

/*  Maximum number of layers of wave data  */

#define MXSLYR  2

/*  Maximum number of layers of supplementary wind data  */

#define MXSPWL  3

/*  Maximum number of precipitation values  */

#define MXPCVL  15

/*  Number of real single-level interface mnemonics  */

#define NRSLMN  61

/*  Total number of real interface mnemnonics (total number
    of mult-layer data + single-level data + total number of
    counters for multi-layer data  */

#define NSS1  (5 * MXCLYR)
#define NSS2  (3 * MXWLYR)
#define NSS3  (3 * MXSLYR)
#define NSS4  (3 * MXSPWL)
#define NSS5  (2 * MXPCVL)

#define NRIMN   ( NSS1 + NSS2 + NSS3 + NSS4 + NSS5 + NRSLMN + 5 )

/*  Number of character single-level interface mnemonics  */

#define NCIMN   1

extern struct {
    int iryear ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irslat ; int irslon ; int irselv ; int irdrct ; int irsped ;
    int irxs10 ; int irxs20 ; int irpres ; int irpmsl ; int irp03d ;
    int irchpt ; int ir3hpc ; int irrelh ; int irmsst ; int irstwc ;
    int irtmpc ; int irdwpc ; int irsstc ; int irtmwc ; int irdtv1 ;
    int irmxtm ; int irdtv2 ; int irmitm ;
    int irinpc ; int iritso ; int irtost ; int irvsbk ; int ircfrt ;
    int irpwpd ; int irwwmo ; int irwwma ; int irpwwm ; int irpwwa ;
    int irpsw2 ; int irtdmp ; int irasmp ; int irwper ; int irpoww ;
    int irhoww ; int ircoia ; int iridth ; int irroia ; int ir24pc ;
    int irpwyr ; int irpwmo ; int irpwdy ; int irpwhr ; int irpwmn ;
    int irpwdr ; int irpwsp ; int irwhgt ; int irisws ; int irpwa2 ;
    int irvrtm ; int irhblc ; int irtllw ;
    int irnclo ; int irvsso[MXCLYR] ; int irclam[MXCLYR] ;
                 int ircltp[MXCLYR] ; int irhocb[MXCLYR] ;
                 int ircsec[MXCLYR] ;
    int irncwd ; int irtpmi[MXWLYR] ; int irwdrc[MXWLYR] ;
                 int irwdsc[MXWLYR] ;
    int irnswv ; int irdosw[MXSLYR] ; int irposw[MXSLYR] ;
                 int irhosw[MXSLYR] ;
    int irnspw ; int irspwp[MXSPWL] ; int irspws[MXSPWL] ;
                 int irspwt[MXSPWL] ;
    int irnpcv ; int irpprd[MXPCVL] ; int irpamt[MXPCVL] ;
} rintfp;


/*  Real interface values  */

extern struct {
    float rivals[NRIMN];
} rintfv;

/*  Pointers to relative locations of character interface mnemonics
    within cimnem[].  These pointers will be set by ma_icsp and then
    used as indices into the character interface values array civals[]  */

extern struct {
    int icstid ;
} cintfp;

extern struct {
    char civals[NCIMN][8];
} cintfv;
