        SUBROUTINE MA_STBL ( lunstb, iret )
C************************************************************************
C* MA_STBL                                                             	*
C*                                                                     	*
C* This subroutine gets the CMAN station and Great Lakes fixed buoy    	*
C* table data.  These data contain the elevations of the Great Lakes   	*
C* buoys and the lat/lon and elevation of the CMAN stations.    	*
C*                                                                     	*
C* MA_STBL  ( IRET )                                                   	*
C*                                                                     	*
C* Input variables:							*
C*      LUNSTB         INTEGER           Station table LUN		*
C*									*
C* Output variables:                                                   	*
C*      IRET           INTEGER           Return code                   	*
C*                                         0 = normal return            *
C*									*
C**									*
C* Log:							               	*
C* R. Hollern/NCEP       6/96                                          	*
C* K. Tyle/GSC		 4/97		Cleaned up			*
C* D. Kidwell/NCEP	 4/97		Fixed return code               *
C* R. Hollern/NCEP       3/99           Added check to prevent exceeding*
C*                                      marine surface table size       *
C************************************************************************
        INCLUDE  	'macmn.cmn'
C
        CHARACTER   	stnnam*32, tbchrs*14, stid*8, stat*2, coun*2
C-----------------------------------------------------------------------
        iret = 0
        i    = 0
        jstn = 0
	jret = 0
C
        DO WHILE ( jret .eq. 0 .and. jstn .le. MTBLSZ )
C
C*	    Read the next record from the GEMPAK station table.
C
            CALL TB_RSTN ( lunstb, stid, stnnam, istnm, stat, coun, 
     +                     slat, slon, selv, ispri, tbchrs, jret )
C
            IF ( jret .eq. -1 ) RETURN
C
            jstn 	  = jstn + 1
            jstnid (jstn) = stid
            elev   (jstn) = selv 
            ylat   (jstn) = slat 
            ylong  (jstn) = slon 
        END DO
C*
        RETURN
        END
